xfce4-clipman-plugin (2:1.6.6-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:21:21 +0200

xfce4-clipman-plugin (2:1.6.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.6.
  * Update Standards-Version to 4.7.0.
  * d/control: Update B-D, pkg-config → pkgconf.

 -- Unit 193 <unit193@debian.org>  Sat, 04 May 2024 01:40:06 -0400

xfce4-clipman-plugin (2:1.6.5-1) unstable; urgency=medium

  * New upstream version 1.6.5
  * d/control: unmark the plugin as M-A:same

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 01 Oct 2023 23:29:41 +0200

xfce4-clipman-plugin (2:1.6.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.4.

 -- Unit 193 <unit193@debian.org>  Wed, 09 Aug 2023 19:34:10 -0400

xfce4-clipman-plugin (2:1.6.3-1) unstable; urgency=medium

  * Team upload.

  [ Akbarkhon Variskhanov ]
  * Drop --as-needed from LDFLAGS
  * List docs to install in xfce4-clipman.docs
  * d/rules: Use execute_after instead of overriding dh_auto_install

  [ Unit 193 ]
  * New upstream version 1.6.3.
  * d/rules: Opt-out of trimmed changelogs.
  * Update Standards-Version to 4.6.2.

 -- Unit 193 <unit193@debian.org>  Fri, 16 Jun 2023 02:18:36 -0400

xfce4-clipman-plugin (2:1.6.2-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Apply multi-arch hints. + xfce4-clipman-plugin: Add Multi-Arch: same.

  [ Unit 193 ]
  * New upstream version 1.6.2.
  * d/control:
    - Bump DH compat to 13.
    - Update 'homepage' field.
  * d/xfce4-clipman.install: Update metainfo install location.
  * Update Standards-Version to 4.5.1.

 -- Unit 193 <unit193@debian.org>  Mon, 16 Aug 2021 16:54:04 -0400

xfce4-clipman-plugin (2:1.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.1
  * d/control:
    - Update B-D: libexo-1-dev → libexo-2-dev, drop libxml-parser-perl.
    - Bump DH compat to 12.
    - R³: no.
  * d/xfce4-clipman.install: Install appstream data.
  * Trim whitespace from previous changelog entries.

 -- Unit 193 <unit193@ubuntu.com>  Sun, 05 Apr 2020 07:13:27 -0400

xfce4-clipman-plugin (2:1.4.4-1) unstable; urgency=medium

  * d/watch: use uscan special strings
  * New upstream version 1.4.4
  * update standards version to 4.5.0

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 14 Mar 2020 18:23:50 +0100

xfce4-clipman-plugin (2:1.4.3-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Drop obsolete libglade2-dev and libunique-dev from Build-Depends

  [ Yves-Alexis Perez ]
  * d/control: update standards version to 4.4.1
  * d/salsa-ci.yml: add configuration file for Salsa CI
  * use debhelper-compat b-dep for dh compat level
  * d/control: update dh compat level to 11
  * d/control: drop Lionel and Mike from uploaders, thanks!
  * d/control: add b-dep on xfce4-dev-tools
  * d/rules: drop obsolete parellel rules
  * d/control: drop useless b-deps on autotools-dev

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 06 Oct 2019 14:50:30 +0200

xfce4-clipman-plugin (2:1.4.3-1) unstable; urgency=medium

  * Moved the package to git on salsa.debian.org
  * Updated the maintainer address to debian-xfce@lists.debian.org
  * d/gbp.conf added, following DEP-14
  * d/watch: use HTTPS protocol
  * New upstream version 1.4.3
  * d/control: remove duplicate section field
  * d/control: update standards version to 4.2.1
  * run wrap-and-sort
  * d/control: remove obsolete Conflicts/Replaces

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 30 Nov 2018 15:14:09 +0100

xfce4-clipman-plugin (2:1.4.2-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream release.
    - Port to GtkApplication
      this should help with keyboard shortcut issues             closes: #851693

  [ Yves-Alexis Perez ]
  * debian/control:
    - update standards version to 4.1.1.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 15 Oct 2017 16:20:31 +0200

xfce4-clipman-plugin (2:1.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 29 Nov 2016 21:02:02 +0100

xfce4-clipman-plugin (2:1.4.0-2) unstable; urgency=medium

  * debian/control:
    - add build-dep on libqrencode-dev to enable QR code support.
                                                                closes: #844720

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 20 Nov 2016 13:46:32 +0100

xfce4-clipman-plugin (2:1.4.0-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.
  * debian/control:
    - update B-D to gtk3 version.
    - update standards version to 3.9.8.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 15 Sep 2016 22:19:53 +0200

xfce4-clipman-plugin (2:1.2.6-1) unstable; urgency=medium

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 24 Jun 2014 22:45:21 +0200

xfce4-clipman-plugin (2:1.2.5-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 05 Feb 2014 21:42:46 +0100

xfce4-clipman-plugin (2:1.2.4-1) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Yves-Alexis Perez ]
  * New upstream release.
  * debian/xfce4-clipman.install:
    - drop /usr/share/doc, documentation has been removed from upstream
      package.
  * debian/control:
    - update standards version to 3.9.5.
  * debian/rules:
    - disable silent rules.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 03 Feb 2014 08:07:45 +0100

xfce4-clipman-plugin (2:1.2.3-2) unstable; urgency=low

  * debian/rules:
    - enable all hardening flags.
  * debian/control:
    - remove versionned build-dep on Xfce 4.8, it's in stable now.
    - remove build-dep on dpkg-dev 1.16.1, it's in stable too.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 23 May 2013 08:10:17 +0200

xfce4-clipman-plugin (2:1.2.3-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - build with --parallel.
    - configure with --disable-static and stop removing .a files.
  * debian/control:
    - update standards version to 3.9.3.
    - update debhelper build-dep to 9.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 09 Apr 2012 21:26:50 +0200

xfce4-clipman-plugin (2:1.2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - 01_fix-symlink-doc-creation dropped. included upstream.
  * debian/control:
    - add build-dep on libxtst-dev.
  * debian/xfce4-clipman-plugin.install:
    - update panel plugin install path.
  * debian/rules:
    - update path in rm rule.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 01 Nov 2011 18:47:59 +0100

xfce4-clipman-plugin (2:1.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    - 0001-daemon-Fix-possible-NULL-values-bug-6119-6120 and 02_use-exo-1
      dropped, included upstream.
    - 01_fix-symlink-doc-creation added, fix target symlinks in documentation.
  * debian/control:
    - move libxfcegui4-dev build-dep to libxfce4ui-1-dev.
    - update debhelper build-dep to 8.9.4 for hardening support.
    - add a build-dep on dpkg-dev 1.16.1 for hardening support.
    - drop build-dep on hardening-includes
  * debian/xfce4-clipman.install:
    - documentation is now in /u/s/doc
  * debian/rules:
    - use debhelper 9 hardening support
  * debian/compat bumped to 9.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 24 Oct 2011 17:48:46 +0200

xfce4-clipman-plugin (2:1.1.3-5) unstable; urgency=low

  [ Mike Massonnet ]
  * debian/*.install:
    - install translations and images in xfce4-clipman instead of
      xfce4-clipman-plugin                                      closes: #626040
  * debian/control:
    - bump conflict/replace up to 2:1.1.3-4.1
    - xfce4-clipman-plugin depends on version 2:1.1.3-4.1 from xfce4-clipman

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 05 Sep 2011 20:58:43 +0200

xfce4-clipman-plugin (2:1.1.3-4) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * debian/control:
    - add build-dep on libxfcegui4-dev.
    - update standards version to 3.9.2.
    - update dh build-dep to 7.0.50~ for overrides.
    - add build-dep on hardening-includes.
    - remove Simon and Emanuele from uploaders, thanks to them.
    - update Xfce build-deps to 4.8.
    - drop cdbs build-dep.
  * debian/rules:
    - switch to dh7 tiny rules
    - pick {C,LD}FLAGS from dpkg-buildflags.
    - add -Wl,-z,defs -Wl,--as-needed to LDFLAGS.
    - add hardening flags to {C,LD}FLAGS
  * Switch to 3.0 (quilt) source format.

  [ Lionel Le Folgoc ]
  * Port to exo 0.5.x:
    - debian/patches/02_use-exo-1.patch: added.
    - debian/patches/series: refreshed.
    - debian/control: change libexo-0.3-dev b-dep to libexo-1-dev.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 19 Apr 2011 22:47:31 +0200

xfce4-clipman-plugin (2:1.1.3-3) unstable; urgency=low

  * debian/patches/0001-daemon-Fix-possible-NULL-values-bug-6119-6120.patch:
    fix crash occurring on panel shutdown. lp: #532537
  * debian/rules: include simple-patchsys.mk.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sun, 28 Mar 2010 16:00:50 +0200

xfce4-clipman-plugin (2:1.1.3-2) unstable; urgency=low

  * debian/rules:
    - drop useless removal of config.status, fix ftbfs          closes: #564398
  * debian/control:
    - use << instead of < in conflicts/replaces.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 09 Jan 2010 15:31:25 +0100

xfce4-clipman-plugin (2:1.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 15 Nov 2009 22:48:10 +0100

xfce4-clipman-plugin (2:1.1.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - build-dep on libunique.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 15 Nov 2009 19:15:00 +0100

xfce4-clipman-plugin (2:1.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 30 Sep 2009 18:54:42 +0200

xfce4-clipman-plugin (2:1.1.0-3) unstable; urgency=low

  * debian/control:
    - make xfce4-clipman conflicts against old xfce4-clipman-plugin because
      there are file conflicts.                                 closes: #545501

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 07 Sep 2009 19:32:50 +0200

xfce4-clipman-plugin (2:1.1.0-2) unstable; urgency=low

  * debian/control:
    - make xfce4-clipman-plugin depends on xfce4-clipman for the settings
      binary.                                                   closes: #545291

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 06 Sep 2009 17:41:04 +0200

xfce4-clipman-plugin (2:1.1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/watch edited to track Xfce archive reorganisation.
  * debian/control:
    - update standards version to 3.8.3.
    - split the package now that there's a daemon not requiring panel.
    - update long descriptions.
  * debian/copyright updated.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 03 Sep 2009 20:35:22 +0200

xfce4-clipman-plugin (2:1.0.2-1) unstable; urgency=low

  [ Evgeni Golov ]
  * Fix Vcs-* fields, they were missing 'trunk' in the path.

  [ Yves-Alexis Perez ]
  * New upstream release.
  * debian/control:
    - bump standards version to 3.8.2.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 29 Jun 2009 07:50:15 +0200

xfce4-clipman-plugin (2:1.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 14 May 2009 08:08:22 +0200

xfce4-clipman-plugin (2:1.0.0-1) unstable; urgency=low

  * New upstream release.
    + ship a shortcutable binary to popup plugin.               closes: #405556
  * debian/control:
    - move package to xfce section.
    - bump build-deps for Xfce 4.6.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 21 Apr 2009 07:48:11 +0200

xfce4-clipman-plugin (2:0.9.1-1) unstable; urgency=low

  * New upstream release.
  * debian/compat bumped to 7.
  * debian/control:
    - removed Martin and Rudy from uploaders, thanks to them.
    - updated debhelper build-dep to 7.
    - updated standards version to 3.8.1.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 04 Apr 2009 02:34:50 +0200

xfce4-clipman-plugin (2:0.9.0-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: update dates & copyright holders.
  * debian/control:
    - add build-dep on intltool, libx11-dev, pkg-config, libgtk2.0-dev,
      libexo-0.3-dev
    - update standards version to 3.8.0.
    - add dep on ${misc:Depends}.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 22 Feb 2009 18:36:53 +0100

xfce4-clipman-plugin (2:0.8.1-1) unstable; urgency=low

  [ Simon Huggins ]
  * debian/control: Move fake Homepage field to a real one now dpkg
    supports it.
  * Add Vcs-* headers to debian/control

  [ Yves-Alexis Perez ]
  * new upstream release.
    - fix crash with UTF-8 text.
  * debian/control:
    - update my email address.
    - update standards version to 3.7.3.
  * debian/copyright: completely rewritten, especially the license part.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 04 Mar 2008 22:56:46 +0100

xfce4-clipman-plugin (2:0.8.0-1) unstable; urgency=low

  (Yves-Alexis Perez)
  * New upstream release.
  * debian/control:
    - removed Jani from uploaders, as he's not anymore in the team.
    - removed build-dep on gtk as it's pulled with xfce4-panel-dev.
    - updated standards version to 3.7.2.
  (Stefan Ott)
  * debian/control: updated the url
  (Simon Huggins)
  * Build against latest and greatest xfce.

 -- Yves-Alexis Perez <corsac@corsac.net>  Thu, 19 Apr 2007 17:59:44 +0100

xfce4-clipman-plugin (2:0.5.99.1-2) unstable; urgency=low

  * debian/control: bumped xfce4-panel build-dep to 4.4rc1 to fix FTBFS.

 -- Yves-Alexis Perez <corsac@corsac.net>  Fri, 29 Sep 2006 12:14:25 +0100

xfce4-clipman-plugin (2:0.5.99.1-1) unstable; urgency=low

  * New upstream release, updated epoch to reflect upstream mess in versions.

 -- Yves-Alexis Perez <corsac@corsac.net>  Sat, 23 Sep 2006 15:38:30 +0100

xfce4-clipman-plugin (1:0.6-2) unstable; urgency=low

  * Incremented build-depends to 4.3.90.2 (Xfce 4.4 Beta2 )

 -- Yves-Alexis Perez <corsac@corsac.net>  Wed, 26 Jul 2006 17:47:57 +0100

xfce4-clipman-plugin (1:0.6-1) unstable; urgency=low

  * New upstream release
  * Set Standard policy version to 3.6.2
  * Removed explicit dependency on xfce4-panel (managed by shlibs)

 -- Yves-Alexis Perez <corsac@corsac.net>  Wed, 03 May 2006 19:17:15 +0100

xfce4-clipman-plugin (1:0.4.1-3) unstable; urgency=high

  * Binary skew blocks testing progression hence urgency high
  * Add build-depends on >= 4.2.2 (though this won't matter now the
    autobuilders have actually all installed it but hey)

 -- Simon Huggins <huggie@earth.li>  Thu, 14 Jul 2005 09:38:05 +0100

xfce4-clipman-plugin (1:0.4.1-2) unstable; urgency=low

  * Rebuilding to fix libxfcegui dependency

 -- Emanuele Rocca <ema@debian.org>  Sun, 19 Jun 2005 14:39:16 +0200

xfce4-clipman-plugin (1:0.4.1-1) unstable; urgency=low

  * (Rudy Godoy)
    + Package adopted by the Debian Xfce Maintainers (Closes: #245115)
    + New upstream release
    + Added epoch to handle wrong versioning schema used
    + Fixed description synopsis's uppercase use
  * (Simon Huggins)
    + Add the update autotools magic.

 -- Rudy Godoy <rudy@kernel-panik.org>  Wed, 19 Jan 2005 19:15:26 -0500

xfce4-clipman-plugin (0.11-5) unstable; urgency=low

  * Really upload with maintainer set to QA group

 -- Andrew Pollock <apollock@debian.org>  Sun,  9 May 2004 20:25:44 +1000

xfce4-clipman-plugin (0.11-4) unstable; urgency=low

  * Uploading with maintainer set to QA group
  * Updated libtool (for ARM) (closes: #239473)

 -- Andrew Pollock <apollock@debian.org>  Sun,  9 May 2004 20:07:32 +1000

xfce4-clipman-plugin (0.11-3) unstable; urgency=low

  * Remove bashism from debian/rules

 -- Andrew Lau <netsnipe@users.sourceforge.net>  Sat,  8 Nov 2003 14:36:51 +1100

xfce4-clipman-plugin (0.11-2) unstable; urgency=low

  * Remove libtool library and object.

 -- Andrew Lau <netsnipe@users.sourceforge.net>  Fri,  7 Nov 2003 16:16:36 +1100

xfce4-clipman-plugin (0.11-1) unstable; urgency=low

  * Initial Release.

 -- Andrew Lau <netsnipe@users.sourceforge.net>  Wed, 29 Oct 2003 22:26:37 +1100
